/* $Id: Area.h,v 1.8 1997/09/26 19:56:13 remek Exp $ */
/*
 * File:       Area.h
 * Author:     Pawel Roman (proman@npac.syr.edu)
 * Created:    Thu Apr 17 1997
 * Revision:   $Revision: 1.8 $
 * Updated:    $Date: 1997/09/26 19:56:13 $
 * Copyright 1997 NPAC, Syracuse University
 *
 */

#ifndef _AREA_H
#define _AREA_H

#include "GeoPoint.h"
#ifndef __BOOL_DEFINED
#include <bool.h>
#endif

class Area
{
   public:
      Area( const string& ref ) : ref_( ref ) { ACE_TRACE( "(Area::~Area)" ); }
      virtual ~Area( void ) { ACE_TRACE( "(Area::~Area)" ); }
      virtual bool IsInside( const GeoPoint& ) = 0;
      virtual void dump( void ) = 0;
      string& ref( void ) { return ref_; }
      
   private:
      string ref_;
};

#endif
