/* $Id: Global.C,v 1.6 1997/09/26 19:30:20 remek Exp $ */
/*
 * File:       Global.C
 * Author:     Remek Trzaska (remek@npac.syr.edu)
 * Created:    long time ago
 * Revision:   $Revision: 1.6 $
 * Updated:    $Date: 1997/09/26 19:30:20 $
 * Copyright 1996/97 NPAC, Syracuse University
 *
 */

#include "Global.h"

void fatal(char *m, char *m1)
{
  fprintf(stderr, "%s%s\n", m, (m1==NULL)? "": m1);
  exit(-1);
}

#ifdef DEBUG

void info(const char *m, long v)
{
  if (v!=-1l)
    printf("%s%ld\n", m, v);
  else
    printf("%s\n", m);
}

#endif /* DEBUG */
