/* $Id: SoXtOLDialog.h,v 1.6 1997/09/25 20:32:02 remek Exp $ */
/*
 * File:       SoXtOLDialog.h
 * Author:     Pawel Roman (proman@npac.syr.edu)
 * Created:    long time ago
 * Revision:   $Revision: 1.6 $
 * Updated:    $Date: 1997/09/25 20:32:02 $
 * Copyright 1996/7 NPAC, Syracuse University
 *
 */

#ifndef SoXtOLDialog_H
#define SoXtOLDialog_H

#include <Inventor/Xt/SoXtComponent.h>
#include <Xm/Xm.h>
#include <Xm/SelectioB.h>

class SoXtWebViewer;

class SoXtOLDialog : public SoXtComponent
{
   public:
      SoXtOLDialog( SoXtWebViewer* vw,
		    Widget parent = NULL,
		    const char* name = NULL,
		    SbBool buildInsideParent = TRUE );
      ~SoXtOLDialog() { XtDestroyWidget( locationDialog ); }

   private:
      static void OpenLocationCB( Widget, SoXtWebViewer*, XmSelectionBoxCallbackStruct* );

      Widget locationDialog;     
      enum{ DIALOG_WIDTH=540 };
};

#endif /*SoXtOLDialog_H*/
