/*
 * File         : SoXtVariableListForIsos.C
 * Author       : Remek Trzaska
 * Created      : Wed Feb 11 15:15:34 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/02/12 02:31:34 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#include "SoXtVariableListForIsos.h"
#include "SoXtWebViewer.h"

SoXtVariableListForIsos::
SoXtVariableListForIsos( const vector<string>& layers,
			   SoXtWebViewer* vw,
			   Widget parent,
			   const char* name,
			   SbBool buildInsideParent ) :
   SoXtVariableList(layers, vw, parent, name, buildInsideParent)
{};

void SoXtVariableListForIsos::
performAction(SoXtVariableList* vlist, int index)
{
   vlist->viewer->showIsosurface(index, 0.1);
}
