/* $Id: cache.h,v 1.6 1997/09/25 20:32:10 remek Exp $ */
/*
 * File:       cache.h
 * Author:     Pawel Roman (proman@npac.syr.edu)
 * Created:    long time ago
 * Revision:   $Revision: 1.6 $
 * Updated:    $Date: 1997/09/25 20:32:10 $
 * Copyright 1996/7 NPAC, Syracuse University
 *
 */

#ifndef __CACHE_H
#define __CACHE_H

#include <fstream.h>

class Cache
{
   public:
      Cache();
      int isCached( const char* url );
      void cacheIt( const char* url, const char* buffer, int buflen );
      char* getBuffer() { return buffer; }
      int getBufferSize() { return buflen; }
  
   private:
      fstream index;
      char* buffer;
      char* cache_dir;
      int buflen;
};

#endif
