/* $Id: msgRESUME.h,v 1.3 1997/09/25 20:32:16 remek Exp $ */
/*
 * File         : msgRESUME.h
 * Author       : Pawel Roman (proman@npac.syr.edu)
 * Created      : Wed Sep 10 15:39:49 1997
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1997/09/25 20:32:16 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

#ifndef __MSGRESUME_H
#define __MSGRESUME_H

#include "SimEngMessage.h"

template<class HEADER>
class msgRESUME
   : public SimEngMessage<HEADER>
{
   public:
      msgRESUME( SoXtWebViewer* vw );
      void execute( void );
};

template<class HEADER>
inline msgRESUME<HEADER>::
msgRESUME( SoXtWebViewer* vw )
   : SimEngMessage<HEADER>( Header( ABRESUME, HEADER::BROADCAST ), vw )
{ 
   ACE_TRACE( "(msgRESUME::msgRESUME)" );
}

template<class HEADER>
inline void msgRESUME<HEADER>::
execute( void )
{
   ACE_TRACE( "(msgRESUME::execute)" );
   if( change )
      viewer->resumeMovObjs();
}

#endif

