/* $Id: strrep.h,v 1.6 1997/09/25 20:32:18 remek Exp $ */
/*
 * File:       strrep.h
 * Author:     Pawel Roman (proman@npac.syr.edu)
 * Created:    long time ago
 * Revision:   $Revision: 1.6 $
 * Updated:    $Date: 1997/09/25 20:32:18 $
 * Copyright 1996/7 NPAC, Syracuse University
 *
 */

#ifndef STRING_REP_H_
#define STRING_REP_H_

#ifndef __BOOL_DEFINED
#include <bool.h>
#endif

class StringRep
  {
     public:
     StringRep( int newSize = 10 );
     ~StringRep();
     bool add( const char* str );
     bool search( const char* str ) const;

     private:
     char** rep;
     int size;
     int ptr;
  };

#endif /*STRING_REP_H_*/
