/* $Id: SoURLTexture2.h,v 1.9 1997/09/25 20:31:59 remek Exp $ */
/*
 * File:       SoURLTexture2.h
 * Author:     $Author: remek $
 * Created:    long time ago
 * Revision:   $Revision: 1.9 $
 * Updated:    $Date: 1997/09/25 20:31:59 $
 * Copyright 1996/7 NPAC, Syracuse University
 *
 */

#ifndef __SOURLTEXTURE2_H
#define __SOURLTEXTURE2_H

#include <Inventor/Xt/SoXt.h>
#include <Inventor/nodes/SoTexture2.h>
#include <Inventor/nodes/SoGroup.h>
#include <Inventor/nodes/SoNode.h>
#include <string.h>
#include "WebNode.h"
#include "Global.h"

class SoChunk;

//Texture2 node, dimx = dimy 
class SoURLTexture2 : public SoTexture2
{
   public:
      SoURLTexture2( char* url, SoGroup* aParent, SoNode* aChildToReplace,
		     int rotate = FALSE);
      virtual ~SoURLTexture2();

   private:
      static void texFetchedCB( WebNode*, SoURLTexture2* );
      
      int dim_;
      unsigned char* data_;
      SoGroup* parent;
      SoNode* childToReplace;
};

#endif 
