/*
 * File         : SoXtVariableListForSlices.C
 * Author       : Remek Trzaska
 * Created      : Wed Feb 11 15:15:34 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/02/12 02:31:36 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#include "SoXtVariableListForSlices.h"
#include "SoXtWebViewer.h"

SoXtVariableListForSlices::
SoXtVariableListForSlices( const vector<string>& layers,
			   SoXtWebViewer* vw,
			   Widget parent,
			   const char* name,
			   SbBool buildInsideParent ) :
   SoXtVariableList(layers, vw, parent, name, buildInsideParent)
{};

void SoXtVariableListForSlices::
performAction(SoXtVariableList* vlist, int index)
{
   vlist->viewer->switchVariableTo(index);
}
