/*
 * File         : SoXtVariableListForSlices.h
 * Author       : Remek Trzaska
 * Created      : Wed Feb 11 15:08:57 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/02/12 02:31:37 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __SOXTVARIABLELISTFORSLICES_H
#define __SOXTVARIABLELISTFORSLICES_H

#include "SoXtVariableList.h"

class SoXtVariableListForSlices: public SoXtVariableList
{
   public:
      SoXtVariableListForSlices( const vector<string>& layers,
				 SoXtWebViewer* vw,
				 Widget parent = NULL,
				 const char* name = NULL,
				 SbBool buildInsideParent = TRUE );
      virtual void performAction(SoXtVariableList* vlist, int index);
};


#endif

