/* $Id: msgPAUSE.h,v 1.3 1997/09/25 20:32:15 remek Exp $ */
/*
 * File         : msgPAUSE.h
 * Author       : Pawel Roman (proman@npac.syr.edu)
 * Created      : Wed Sep 10 15:33:48 1997
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1997/09/25 20:32:15 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

#ifndef __MSGPAUSE_H
#define __MSGPAUSE_H

#include "SimEngMessage.h"

template<class HEADER>
class msgPAUSE
   : public SimEngMessage<HEADER>
{
   public:
      msgPAUSE( SoXtWebViewer* vw );
      void execute( void );
};

template<class HEADER>
inline msgPAUSE<HEADER>::
msgPAUSE( SoXtWebViewer* vw )
   : SimEngMessage<HEADER>( Header( ABPAUSE, HEADER::BROADCAST ), vw )
{ 
   ACE_TRACE( "(msgPAUSE::msgPAUSE)" );
}

template<class HEADER>
inline void msgPAUSE<HEADER>::
execute( void )
{
   ACE_TRACE( "(msgPAUSE::execute)" );
   if( change )
      viewer->pauseMovObjs();
}

#endif

